/* Arduino-Direct EXAMPLE 
 "POTENTIOMETER" HAL Library by Alexander Brevig
  (Displays POT values in Serial Monitor)
  (With LED Dimmer Example)
 - POT on ANALOG INPUT 2
 - LED on DIGITAL/~PWM OUTPUT 0
 terry@arduino-direct.com */

/*-----( Import needed libraries )-----*/
#include <Potentiometer.h>
#include <LED.h>

/*-----( Declare objects )-----*/
Potentiometer MyControl = Potentiometer(2,4); 
// Creates an instance of a Potentiometer named MtControl
// on ANALOG INPUT 2 and defines 4 sectors

LED TestLED(10);  
// Creates an Instance of an LED, named TestLED
// MUST be on a ~PWM pin 

/*-----( Declare Variables )-----*/
int  Control_Value;  //Value 0..1023 from Pot
byte LED_Brightness; //Value 0..255 for LED 

void setup()   /****** SETUP: RUNS ONCE ******/
{
  Serial.begin(9600);
  Serial.println("HAL Potentiometer example");
  delay(2000);
}//--(end setup )---


void loop()   /****** LOOP: RUNS CONSTANTLY ******/
{
  Serial.print("MyControl.getValue() ");
  Serial.println(MyControl.getValue(),DEC);
  Serial.print("MyControl.getSector() ");
  Serial.println(MyControl.getSector(),DEC);
  Serial.println();
  //----( Set the LED Brightness with POT Value )------
  Control_Value = MyControl.getValue();
  LED_Brightness = map(Control_Value, 0, 1023, 0, 255);
  TestLED.setValue(LED_Brightness);

  delay(500);
}//--(end main loop )---



